Skip to content
Javascript binding to linphone
PHP C++ JavaScript Other
Failed to load latest commit information.
3rdParty add testing web Jun 2, 2011
Mac build dependencies moved to platform dependent files May 23, 2011
Win autocreated firebreath project May 19, 2011
X11 fixed dependancies on ubuntu Jun 2, 2011
doc typo in build.sh May 31, 2011
helpers added CallAPI + AddressAPI May 20, 2011
.gitignore added submodules and build script May 23, 2011
.gitmodules added submodules and build script May 22, 2011
AddressAPI.cpp checking if linphone is initialized in methods + cleaned code May 22, 2011
AddressAPI.h cleaned dependencies May 22, 2011
CMakeLists.txt changed config so that we can build it now May 30, 2011
CallAPI.cpp checking if linphone is initialized in methods + cleaned code May 22, 2011
CallAPI.h cleaned dependencies May 21, 2011
Factory.cpp autocreated firebreath project May 19, 2011
PluginConfig.cmake changed config so that we can build it now May 30, 2011
README added notes to readme Jun 2, 2011
VideoWindowAPI.cpp experimental support for video window Jul 11, 2011
VideoWindowAPI.h experimental support for video window Jul 11, 2011
common.h cleaned dependencies May 21, 2011
linphone.cpp added separate video window, but just empty now May 30, 2011
linphone.h added separate video window, but just empty now May 30, 2011
linphoneAPI.cpp added resolution changing support Jul 11, 2011
linphoneAPI.h added resolution changing support Jul 11, 2011
lock.cpp checking if linphone is initialized in methods + cleaned code May 22, 2011
lock.h checking if linphone is initialized in methods + cleaned code May 22, 2011
make.sh added basic support for plugin window May 21, 2011
sampleAPI.cpp added retrieval for singleton SampleAPI object May 20, 2011
sampleAPI.h cleaned dependencies May 21, 2011
test.html page fixed to work without firebug Jun 2, 2011
types.h build dependencies moved to platform dependent files May 22, 2011

README

JavaScript binding to Linphone core API

This projects provides linphone core API to JavaScript.



Notes
#######

To make a .deb package, go to build/ dir and execute: fakeroot make package

CMake 2.8.4 is needed, it's probably not in your distribution so go to CMake web page,
download it from git and build it yourself. Otherwise, some featres may not work (especially Conflicts for deb package).


Something went wrong with that request. Please try again.